<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPaymentLabel" jhiTranslate="mpmApp.payment.home.createOrEditLabel">Create or edit a Payment</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!payment.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="payment.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.idpay" for="field_idpay">Idpay</label>
            <input type="number" class="form-control" name="idpay" id="field_idpay"
                [(ngModel)]="payment.idpay"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.nopay" for="field_nopay">Nopay</label>
            <input type="text" class="form-control" name="nopay" id="field_nopay"
                [(ngModel)]="payment.nopay"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.payfrom" for="field_payfrom">Payfrom</label>
            <input type="text" class="form-control" name="payfrom" id="field_payfrom"
                [(ngModel)]="payment.payfrom"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.payto" for="field_payto">Payto</label>
            <input type="text" class="form-control" name="payto" id="field_payto"
                [(ngModel)]="payment.payto"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtcreate" for="field_dtcreate">Dtcreate</label>
            <div class="d-flex">
                <input id="field_dtcreate" type="datetime-local" class="form-control" name="dtcreate" [(ngModel)]="payment.dtcreate"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.createby" for="field_createby">Createby</label>
            <input type="text" class="form-control" name="createby" id="field_createby"
                [(ngModel)]="payment.createby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtmodified" for="field_dtmodified">Dtmodified</label>
            <div class="d-flex">
                <input id="field_dtmodified" type="datetime-local" class="form-control" name="dtmodified" [(ngModel)]="payment.dtmodified"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.modifiedby" for="field_modifiedby">Modifiedby</label>
            <input type="text" class="form-control" name="modifiedby" id="field_modifiedby"
                [(ngModel)]="payment.modifiedby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtdue" for="field_dtdue">Dtdue</label>
            <div class="d-flex">
                <input id="field_dtdue" type="datetime-local" class="form-control" name="dtdue" [(ngModel)]="payment.dtdue"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.totalpay" for="field_totalpay">Totalpay</label>
            <input type="number" class="form-control" name="totalpay" id="field_totalpay"
                [(ngModel)]="payment.totalpay"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.note" for="field_note">Note</label>
            <input type="text" class="form-control" name="note" id="field_note"
                [(ngModel)]="payment.note"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtdeptissueby" for="field_dtdeptissueby">Dtdeptissueby</label>
            <div class="d-flex">
                <input id="field_dtdeptissueby" type="datetime-local" class="form-control" name="dtdeptissueby" [(ngModel)]="payment.dtdeptissueby"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtdeptappby" for="field_dtdeptappby">Dtdeptappby</label>
            <div class="d-flex">
                <input id="field_dtdeptappby" type="datetime-local" class="form-control" name="dtdeptappby" [(ngModel)]="payment.dtdeptappby"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.deptissueby" for="field_deptissueby">Deptissueby</label>
            <input type="text" class="form-control" name="deptissueby" id="field_deptissueby"
                [(ngModel)]="payment.deptissueby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.deptappby" for="field_deptappby">Deptappby</label>
            <input type="text" class="form-control" name="deptappby" id="field_deptappby"
                [(ngModel)]="payment.deptappby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtdirector" for="field_dtdirector">Dtdirector</label>
            <div class="d-flex">
                <input id="field_dtdirector" type="datetime-local" class="form-control" name="dtdirector" [(ngModel)]="payment.dtdirector"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.director" for="field_director">Director</label>
            <input type="text" class="form-control" name="director" id="field_director"
                [(ngModel)]="payment.director"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtacccodeby" for="field_dtacccodeby">Dtacccodeby</label>
            <div class="d-flex">
                <input id="field_dtacccodeby" type="datetime-local" class="form-control" name="dtacccodeby" [(ngModel)]="payment.dtacccodeby"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtaccappby" for="field_dtaccappby">Dtaccappby</label>
            <div class="d-flex">
                <input id="field_dtaccappby" type="datetime-local" class="form-control" name="dtaccappby" [(ngModel)]="payment.dtaccappby"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.acccodeby" for="field_acccodeby">Acccodeby</label>
            <input type="text" class="form-control" name="acccodeby" id="field_acccodeby"
                [(ngModel)]="payment.acccodeby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.accappby" for="field_accappby">Accappby</label>
            <input type="text" class="form-control" name="accappby" id="field_accappby"
                [(ngModel)]="payment.accappby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtfincheckby" for="field_dtfincheckby">Dtfincheckby</label>
            <div class="d-flex">
                <input id="field_dtfincheckby" type="datetime-local" class="form-control" name="dtfincheckby" [(ngModel)]="payment.dtfincheckby"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtfinappby" for="field_dtfinappby">Dtfinappby</label>
            <div class="d-flex">
                <input id="field_dtfinappby" type="datetime-local" class="form-control" name="dtfinappby" [(ngModel)]="payment.dtfinappby"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtfinpassforpay" for="field_dtfinpassforpay">Dtfinpassforpay</label>
            <div class="d-flex">
                <input id="field_dtfinpassforpay" type="datetime-local" class="form-control" name="dtfinpassforpay" [(ngModel)]="payment.dtfinpassforpay"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.fincheckby" for="field_fincheckby">Fincheckby</label>
            <input type="text" class="form-control" name="fincheckby" id="field_fincheckby"
                [(ngModel)]="payment.fincheckby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.finappby" for="field_finappby">Finappby</label>
            <input type="text" class="form-control" name="finappby" id="field_finappby"
                [(ngModel)]="payment.finappby"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.finpassforpay" for="field_finpassforpay">Finpassforpay</label>
            <input type="text" class="form-control" name="finpassforpay" id="field_finpassforpay"
                [(ngModel)]="payment.finpassforpay"  />
        </div>
        <!-- <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.receiptno" for="field_receiptno">Receiptno</label>
            <input type="text" class="form-control" name="receiptno" id="field_receiptno"
                [(ngModel)]="payment.receiptno"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.payment.dtreceipt" for="field_dtreceipt">Dtreceipt</label>
            <div class="d-flex">
                <input id="field_dtreceipt" type="datetime-local" class="form-control" name="dtreceipt" [(ngModel)]="payment.dtreceipt"
                  />
            </div>
        </div> -->

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
